from parallels.core.utils.entity import Entity


class SysUser(Entity):
    def __init__(self, sys_user_id, account_id, login, home, shell, quota):
        self._sys_user_id = sys_user_id
        self._account_id = account_id
        self._login = login
        self._home = home
        self._shell = shell
        self._quota = quota

    @property
    def sys_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._sys_user_id

    @property
    def account_id(self):
        """
        :rtype: str | unicode
        """
        return self._account_id

    @property
    def login(self):
        """
        :rtype: str | unicode
        """
        return self._login

    @property
    def home(self):
        """
        :rtype: str | unicode
        """
        return self._home

    @property
    def shell(self):
        """
        :rtype: str | unicode
        """
        return self._shell

    @property
    def quota(self):
        """
        :rtype: str | unicode
        """
        return self._quota
